package de.ariva.six.dochub.restclient.entities;

import lombok.Builder;
import lombok.Value;
import lombok.extern.jackson.Jacksonized;

import java.util.List;

/**
 * Represents an archive search hit.
 */
@Jacksonized
@Builder
@Value
public class ArchiveSearchHit {
    String archiveId;
    String documentId;
    Long timestamp;
    List<GeneralIdentifier> generalIdentifiers;
    int documentType;
    String languageCode;
    List<String> jurisdictionCodes;
    int mimeType;
    int generationMethodType;
    String documentSupplier;
    List<IssuerIdentifier> issuerIdentifiers;
    String storedCustomData1;
    String storedCustomData2;
    String storedCustomData3;
    String storedCustomData4;
    String storedCustomData5;
}
