package de.ariva.six.dochub.restclient.entities;

import lombok.Builder;
import lombok.NonNull;
import lombok.Value;
import lombok.extern.jackson.Jacksonized;

/**
 * The custom data request object as used in many endpoints.
 */
@Jacksonized
@Builder
@Value
public class CustomDataRequest {
    @NonNull
    @Builder.Default
    CustomData customData = CustomData.builder().build();
}
