package de.ariva.six.dochub.restclient.entities;

import lombok.Builder;
import lombok.Value;
import lombok.extern.jackson.Jacksonized;

import java.util.List;

/**
 * Represents a search response containing archive search hits.
 */
@Jacksonized
@Builder
@Value
public class ArchiveSearchResponse {
    List<ArchiveSearchHit> hits;
    int page;
    int pageSizeLimit;
    int totalHits;
}
