package de.ariva.six.dochub.restclient.entities;

import lombok.Builder;
import lombok.Value;
import lombok.extern.jackson.Jacksonized;

/**
 * Represents an authentication request containing user credentials.
 */
@Jacksonized
@Builder
@Value
public class AuthenticationRequest {
    String username;
    String password;
}
