package de.ariva.six.dochub.restclient.entities;

import com.fasterxml.jackson.annotation.JsonProperty;
import lombok.Builder;
import lombok.NonNull;
import lombok.Value;
import lombok.extern.jackson.Jacksonized;

/**
 * Represents custom data fields as used in many endpoints.
 */
@Jacksonized
@Builder
@Value
public class CustomData {
    @NonNull
    @JsonProperty("1")
    @Builder.Default
    String customData1 = "";

    @NonNull
    @JsonProperty("2")
    @Builder.Default
    String customData2 = "";

    @NonNull
    @JsonProperty("3")
    @Builder.Default
    String customData3 = "";

    @NonNull
    @JsonProperty("4")
    @Builder.Default
    String customData4 = "";

    @NonNull
    @JsonProperty("5")
    @Builder.Default
    String customData5 = "";
}
